Thread::getCreatorId
Thread::getThreadId
Thread
PHP Manual

# Thread::getCurrentThreadId

Identification

### Description

final public static long Thread::getCurrentThreadId ( void )

Will return the identity of the currently executing thread

### Parameters

This function has no parameters.

### Return Values

A numeric identity

### Examples

Example #1 Return the identity of the currently executing Thread

`<?php
class My extends Thread {
public function run() {
printf("%s is Thread #%lu\n", __CLASS__, Thread::getCurrentThreadId());
}
}
$my = new My();
$my->start();
?>`

The above example will output:

    My is Thread #123456778899